Loading...
Searching...
No Matches
cf_factory.cc File Reference
`#include "config.h"`
`#include "cf_assert.h"`
`#include "cf_defs.h"`
`#include "cf_factory.h"`
`#include "canonicalform.h"`
`#include "int_cf.h"`
`#include "int_int.h"`
`#include "int_rat.h"`
`#include "int_poly.h"`
`#include "int_pp.h"`
`#include "imm.h"`

Go to the source code of this file.

## Macros

#define | LIKELY(expression)
| For optimizing if-branches.
#define | UNLIKELY(expression)

## Functions

void | getmpi (InternalCF *value, mpz_t mpi)

## Macro Definition Documentation

## LIKELY

#define LIKELY | ( |  | expression | ) |

Value:
(expression)

For optimizing if-branches.

Definition at line 24 of file cf_factory.cc.

## UNLIKELY

#define UNLIKELY | ( |  | expression | ) |

Value:
(expression)

Definition at line 25 of file cf_factory.cc.

## Function Documentation

## getmpi()

void getmpi | ( | InternalCF * | value,
|  | mpz_t | mpi )

Definition at line 303 of file cf_factory.cc.

{
ASSERT( ! is_imm( value ) && (value->levelcoeff() == IntegerDomain || value->levelcoeff() == PrimePowerDomain), "illegal operation" );
mpz_init_set (mpi, ((InternalInteger*)value)->thempi);
}
is_imm
int is_imm(const InternalCF *const ptr)
Definition canonicalform.h:65
ASSERT
#define ASSERT(expression, message)
Definition cf_assert.h:99
PrimePowerDomain
#define PrimePowerDomain
Definition cf_defs.h:17
IntegerDomain
#define IntegerDomain
Definition cf_defs.h:21
InternalCF::levelcoeff
virtual int levelcoeff() const
Definition int_cf.h:68
InternalInteger
factory's class for integers
Definition int_int.h:56